*file: rcopt.sp   optimize the power dissapation and time constant
*                 of an rc network
*
*   optimize to the goals of 1sec time constant and 50mwatts rms power.
*   optrc identifies rx and cx as optimization parameters and sets
*   their starting, minimum, and maximum values.  measure statement rc1
*   calculates the rc time constant. ( .3679=e**-rc ) where the goal is
*   rc=1sec.   measure statement rc2 calculates the rms power where the
*   goal is 50 milliwatts.
*
*   hspice features used:
*	- measure voltages and report times subject to goal
*	- measure device power dissapation subject to goal
*	- element value parameterization
*	- parameter optimization function
*	- transient with sweep optimize
*
.option post 

.param rx=optrc(.5, 1e-2, 1e+2)
.param cx=optrc(.5, 1e-2, 1e+2)

.measure tran rc1  trig at=0 targ v(1) val=.3679 fall=1 goal=1sec
.measure tran rc2  rms  p(r1) goal=50mwatts

.model opt1 opt


.tran .1 2		$ initial values
.tran .1 2 sweep optimize=optrc results=rc1,rc2 model=opt1
.tran .1 2		$ analysis using final optimized values


.ic 1 1
r1 1 0 rx
c1 1 0 cx

.end
