Simple Inverter
 
* ----- Include of needed files
.include 'cmos_inv.inc' 
 
 
* ----- Parameter 
.param wp = 2u 
.param wn = 1u 
.param lp = 0.35u 
.param ln = 0.35u 
 
 
* ----- Determine supply
* voltage: VDD 
* ground:  GND 
 
* name   node1  node2  Type Parameter 
VSupply VDD     GND     DC  3.3
 
 
* ----- Stimuli
 
* Parameter: 1. voltage level, 2. voltage level, delay, rising slope, falling slope,
*            pulse width, period
* 
* name   node1  node2   Type   Parameter 
VInput1  Input  GND      DC   0          PULSE(0 3.3 0 100P 100P 4.9N 10N) 
 
 
* ----- Circuit 
* name      input  output   plus ground  circuit   
XInverter1  Input  Output1  VDD  GND    CMOS_Inverter LN=ln WN=wn LP=lp WP=wp


* ----- Outputs  
* The output will be connected with a varying load 
* name  node1   node2  value 
COut1  Output1  GND    CLoad 
 
* ----- Options 
.options list post 

* ----- Definition of simultion  
* The output will be connected with a varying load 
* Variation of varibale load CLoad Variable: from 10fF to 100fF in steps of 20fF 
.TRAN 1n 50n sweep CLoad 10f 110f 20f 

* Measurement if average current in selected time 
.meas Current1 avg i(XInverter1.VCurrentmeas) from=0n to=50n 
 
* This is the library of the transistor data 
.LIB '$AMS/hspiceS/csx/wc49.lib' TM 
.END 
