*Optimization of an Inverter
 
* ----- Include of needed files
.include 'cmos_inv.inc' 
 
 
* ----- Parameter 
.param wp=optw (2u,1u,10u) 
.param wn=optw (1u,0.5u,10u) 
.param lp = 0.35u 
.param ln = 0.35u 
.param supply = 3.3 
 
 
* name   node1  node2  Type Parameter 
VSupply VDD     GND     DC  supply

* ----- Stimuli
 
* Parameter: 1. voltage level, 2. voltage level, delay, rising slope, falling slope,
*            pulse width, period
* 
* name   node1  node2   Type   Parameter 
VInput1  Input  GND      DC   0          PULSE(0 supply 0 100P 100P 4.9N 10N) 
 
 
* ----- Circuit 
* name      input  output   plus ground  circuit   
XInverter1  Input  Output1  VDD  GND    CMOS_Inverter LN=ln WN=wn LP=lp WP=wp


* ----- Outputs  
* The output will be connected with a varying load 
* name  node1   node2  value 
COut1  Output1  GND    30f 
 
*Model
.model opt1 opt relin=1e-4

 * ----- Options 
.options list post 

* Measurement if average current in selected time 
.measure tran delay1 trig v(Input) VAL='supply/2' RISE=1 TARG v(Output1) VAL='supply/2' FALL = 1 goal=1e-10
.measure tran delay2 trig v(Input) VAL='supply/2' FALL=1 TARG v(Output1) VAL='supply/2' RISE = 1 goal=delay1

* ----- Definition of simultion  
.tran 1n 20n	$ initial values
.tran 1n 20n    sweep optimize=optw results=delay1,delay2 model=opt1
.tran 1n 20n	$ analysis using final optimized values


 
* This is the library of the transistor data 
.LIB '$AMS/hspiceS/csx/wc49.lib' TM 
.END 
