* OR gate
 
* ----- Include of needed files
.include 'cmos_inv.inc'
.include 'nor.inc'  
 
 
* ----- Parameter 
.param lp = 0.35u 
.param ln = 0.35u 

* NOR
.param wp1 = 4u 
.param wp2 = 4u 
.param wn1 = 1u 
.param wn2 = 1u 

* Inverter
.param wp = 2u 
.param wn = 1u 
 
 
* ----- Determine supply
* voltage: VDD 
* ground:  GND 
 
* name   node1  node2  Type Parameter 
VSupply VDD     GND     DC  3.3 
 
 
* ----- Stimuli
 
* Parameter: 1. voltage level, 2. voltage level, delay, rising slope, falling slope,
*            pulse width, period
* 
* name   node1  node2   Type   Parameter 
VInput1  Input1  GND      DC   0          PULSE(0 3.3 0 100P 100P 9.9N 20N)
VInput2  Input2  GND      DC   0          PULSE(0 3.3 5N 100P 100P 9.9N 20N) 
 
* ----- Circuit 
*NOR 
* name     input1  input2 output   plus ground  circuit   
XNor1      Input1  Input2 Output1  VDD  GND    CMOS_Nor LN=ln LP=lp WP1=wp1 WP2=wp2 WN1=wn1 WN2=wn2

* Inverter
* name      input    Output   plus ground  circuit   
XInverter1  Output1  Output2  VDD  GND    CMOS_Inverter LN=ln WN=wn LP=lp WP=wp


* ----- Outputs  
* name node1   node2     value 
COut1  Output2  GND      100f 
 
* ----- Options 
.OPTIONS list node post 

* ----- Definition of simulation  

* Simulation duration: 22ns in steps of 0.1ns
* Variation of varibale load CLoad Variable: from 10fF to 160fF in steps of 50fF 
.TRAN 0.1n 22n

* Measurement if average current in selected time 
.MEAS Current1 avg i(XNor1.VCurrentmeas) from=0n to=22n 
 
* This is the library of the transistor data 
.LIB '$AMS/hspiceS/csx/wc49.lib' TM 
.END 
